Quote a transfer between your accounts
curl --request POST \
--url https://api.talescria.com/v1/conversions/quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromAccountId": "<string>",
"toAccountId": "<string>",
"amountFromMinorUnits": "<string>",
"amountToMinorUnits": "<string>"
}
'import requests
url = "https://api.talescria.com/v1/conversions/quotes"
payload = {
"fromAccountId": "<string>",
"toAccountId": "<string>",
"amountFromMinorUnits": "<string>",
"amountToMinorUnits": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromAccountId: '<string>',
toAccountId: '<string>',
amountFromMinorUnits: '<string>',
amountToMinorUnits: '<string>'
})
};
fetch('https://api.talescria.com/v1/conversions/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"quote": {
"quoteRef": "<string>",
"fromAccountId": "<string>",
"toAccountId": "<string>",
"from": "USD",
"to": "EUR",
"fixed": "from",
"amountFromMinorUnits": "10000",
"amountToMinorUnits": "8816",
"rateMicro": 123,
"expiresAt": 123,
"validForSeconds": 123,
"used": true
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Transfers
Quote a transfer between your accounts
Prices moving money between two of your accounts in different currencies. Give exactly one amount: what leaves (amountFromMinorUnits) or what arrives (amountToMinorUnits).
The quote is used by one transfer and expires at expiresAt. The two amounts are the agreement; rateMicro is for display.
Requires the transfers:write scope.
POST
/
v1
/
conversions
/
quotes
Quote a transfer between your accounts
curl --request POST \
--url https://api.talescria.com/v1/conversions/quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromAccountId": "<string>",
"toAccountId": "<string>",
"amountFromMinorUnits": "<string>",
"amountToMinorUnits": "<string>"
}
'import requests
url = "https://api.talescria.com/v1/conversions/quotes"
payload = {
"fromAccountId": "<string>",
"toAccountId": "<string>",
"amountFromMinorUnits": "<string>",
"amountToMinorUnits": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromAccountId: '<string>',
toAccountId: '<string>',
amountFromMinorUnits: '<string>',
amountToMinorUnits: '<string>'
})
};
fetch('https://api.talescria.com/v1/conversions/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"quote": {
"quoteRef": "<string>",
"fromAccountId": "<string>",
"toAccountId": "<string>",
"from": "USD",
"to": "EUR",
"fixed": "from",
"amountFromMinorUnits": "10000",
"amountToMinorUnits": "8816",
"rateMicro": 123,
"expiresAt": 123,
"validForSeconds": 123,
"used": true
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Headers
Body
application/json